clear all
format compact 
format short


for itr = 1:43
    j = mod(2+itr,4)+1;
    i = 2007 + floor((itr+2)/4);
    nobs = 96 + 4*(i-2007) + (j-4);
    load('NPdata');
       
    % we save only subsample 1:nobs
    varname = 'oil_obs'; 
    eval([char(varname),'=',char(varname),'(1:',num2str(nobs),');']); 
    eval([char(varname),'=cumsum(',char(varname),');']); 
    eval([char(varname),'=',char(varname),'-mean(',char(varname),');']);
           
    save options_est.mat nobs itr j i;
    save data oil_obs;
       
    dynare bar_NP
       
    load('data');
    %load('bar_NP_results')
    f.oil_obs     = oo_.bvarfct.oil_obs.draws - oil_obs(nobs);
       
      
    if ~isdir(['NPest/',num2str(i),'q',num2str(j)])
        mkdir(['NPest/',num2str(i),'q',num2str(j)]);
    end
    save(['NPest//',num2str(i),'q',num2str(j),'/forecasts.mat'],'f');  
end

