clear all
format compact 
format short


% from 2007:4 to 2018:2
% temp = NaN(43,2);
% for itr = 1:43
%    temp(itr,2) = mod(2+itr,4)+1;
%    temp(itr,1) = 2007 + floor((itr+2)/4);
% end

H = 20;
N = 10000;

for itr = 1:43
    j = mod(2+itr,4)+1;
    i = 2007 + floor((itr+2)/4);
    nobs = 96 + 4*(i-2007) + (j-4);
    load('NPdata');
       
    % we save only subsample 1:nobs
    varname = 'oil_obs'; 
    eval([char(varname),'=',char(varname),'(1:',num2str(nobs),');']); 
    % eval([char(varname),'=cumsum(',char(varname),');']);
    m = mean(oil_obs); % mean
    s = std(oil_obs);  % standard deviation for oil changes
           
    f.oil_obs     = cumsum(m+randn([H,N])*s); 
          
    if ~isdir(['NPest/',num2str(i),'q',num2str(j)])
        mkdir(['NPest/',num2str(i),'q',num2str(j)]);
    end
    save(['NPest/',num2str(i),'q',num2str(j),'/forecasts.mat'],'f');  
end
