clear all
clc
format compact

% Add auxilary functions
addpath('MatlabUtils');
addpath('Dynare\4.5.5\matlab');   

% Step 1
% Estimate all models and generate draws from predictive density
% You need to enter all subfolders and run forecast command

% Step 2
% Change draws from predictive density into statistics (point forecastsm,m
% log scores, etc.)
A_forecast_transorm.m

% Step 3
% Generate tables and figures
% Notes: the files export data to excel!!!
B1_RMSEtables.m
B2_PredLLtables.m
B3_ETtables.m
B4_PITtables.m
C1_Figure_whiskers.m
C2_Figure_Efficiency.m
C3_Figure_PIT.m
C4_Figure_FanChart.m
