close all;

var    oil_obs; 
varobs oil_obs;

load options_est;

// Autoregressive parameter Minnesota
options_.FLP = [0.95];        

options_.bvar_prior_decay  = 1;   // decay parameter
options_.bvar_prior_lambda = 0;   // cointegration dummy (default 5)
options_.bvar_prior_mu     = 0;   // sum of coefficients dummy (default 2)
options_.bvar_prior_tau    = 5;   // overall tightness, large values for small prior cov. matrix
options_.bvar_prior_train  = 1;   // training sample
options_.first_obs         = 6;
options_.noconstant        = 1;   // no constant

bvar_forecast(datafile='data', forecast=20,bvar_replic=49999) 4;