clear all
format compact 
format short


for itr = 1:43
    j = mod(2+itr,4)+1;
    i = 2007 + floor((itr+2)/4);
    nobs = 96 + 4*(i-2007) + (j-4);
    load('NPdata');
        
    % we save only subsample 1:nobs
    for varname = {'y_obs','p_obs','R_obs','oil_obs'} 
            eval([char(varname),'=',char(varname),'(1:',num2str(nobs),');']); 
    end
    save options_est.mat nobs i j itr;
    save data y_obs p_obs R_obs oil_obs;
       
    dynare dbvar_NP
       
    % Modeified bvar_forecast - with shocks
    %load('dbvar_NP_results')
    f.oil_obs  = cumsum(oo_.bvarfct.oil_obs.draws);
      
    if ~isdir(['NPest/',num2str(i),'q',num2str(j)])
           mkdir(['NPest/',num2str(i),'q',num2str(j)]);
    end
    save(['NPest/',num2str(i),'q',num2str(j),'/forecasts.mat'],'f');  
      
end

