clear all
format compact 
format short


for itr = 1:43
    j = mod(2+itr,4)+1;
    i = 2007 + floor((itr+2)/4);
    nobs = 96 + 4*(i-2007) + (j-4);
    load('Kiliandata');
        
    % we save only subsample 1:nobs
    for varname = {'dProd','KilianIndex','Roil'} 
            eval([char(varname),'=',char(varname),'(1:',num2str(nobs),');']); 
    end
    save options_est.mat nobs i j itr;
    save data dProd KilianIndex Roil;
       
    dynare bvarKilian
	
    % Modeified bvar_forecast - with shocks
    %load('bvarKilian_results')
	load('data')
    f.oil_obs  = 100*(oo_.bvarfct.Roil.draws - Roil(nobs));
      
    if ~isdir(['NPest/',num2str(i),'q',num2str(j)])
           mkdir(['NPest/',num2str(i),'q',num2str(j)]);
    end
    save(['NPest/',num2str(i),'q',num2str(j),'/forecasts.mat'],'f');  
      
end

