clear all
format compact 
format short

% for i = [2017:(-1):2008]
%    for j = 4:(-1):1

for i = 2007:2007
     for j = 4
	 
       nobs = 96 + 4*(i-2007) + (j-4);
       
       load('NPdata');
       for varname = {'y_obs','p_obs','R_obs','oil_obs'} 
            eval([char(varname),'=',char(varname),'(1:',num2str(nobs),');']); 
       end
       save options_est.mat nobs i j;
       save data y_obs p_obs R_obs oil_obs;
       
       %copyfile(['NPest/',num2str(i),'q',num2str(j),'/NPmodel_mode.mat'],'NPmodel_mode.mat');
       
       % You need to give your location of dynare.ini file
       dynare NPmodel parallel conffile=C:\Programy\Dynare\dynare.ini
       
       copyfile('NPmodel/metropolis/NPmodel_mh*',['NPest/',num2str(i),'q',num2str(j)]);
	   copyfile('NPmodel_mode.mat',['NPest/',num2str(i),'q',num2str(j)]);
	   copyfile('NPmodel_mh_mode.mat',['NPest/',num2str(i),'q',num2str(j)]);
       global M_ dr1_test ex0_ it_ oo_recursive_  trend_coeff_ bayestopt_  estim_params_  fjac  oo_ options_ ys0_  
       save(['NPest/',num2str(i),'q',num2str(j),'/results.mat']);
       
       copyfile('NPmodel/Output/*',['NPest/out_',num2str(i),'q',num2str(j)]);
       
       rmdir('dynareParallelLogFiles','s')
       close all
    end
end
